List residual
List all residuals associated with an account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/profile.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/residuals" \
-H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()
var accountID string
mc.ListResiduals(ctx, accountID)
using Moov.Sdk;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(xMoovVersion: "<value>");
ListResidualsRequest req = new ListResidualsRequest() {
Skip = 60,
Count = 20,
AccountID = "8b40b967-ae12-4851-8be2-7b0c39978ce7",
};
var res = await sdk.FeePlans.ListResidualsAsync(req);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListResidualsRequest;
import io.moov.sdk.models.operations.ListResidualsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListResidualsRequest req = ListResidualsRequest.builder()
.accountID("8b40b967-ae12-4851-8be2-7b0c39978ce7")
.skip(60L)
.count(20L)
.build();
ListResidualsResponse res = sdk.feePlans().listResiduals()
.request(req)
.call();
if (res.residuals().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
req = Models::Operations::ListResidualsRequest.new(
skip: 60,
count: 20,
account_id: '8b40b967-ae12-4851-8be2-7b0c39978ce7',
)
res = s.fee_plans.list_residuals(request: req)
unless res.residuals.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.feePlans.listResiduals({
skip: 60,
count: 20,
accountID: "8b40b967-ae12-4851-8be2-7b0c39978ce7",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListResidualsRequest(
skip: 60,
count: 20,
accountID: '8b40b967-ae12-4851-8be2-7b0c39978ce7',
);
$response = $sdk->feePlans->listResiduals(
request: $request
);
if ($response->residuals !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.fee_plans.list_residuals(account_id="8b40b967-ae12-4851-8be2-7b0c39978ce7", skip=60, count=20)
# Handle response
print(res)[
{
"residualID": "string",
"partnerAccountID": "string",
"periodStart": "2019-08-24T14:15:22Z",
"periodEnd": "2019-08-24T14:15:22Z",
"merchantFees": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"partnerCost": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncome": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"revenueShare": "2.25",
"residualAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Query parameters
skip
integer
<int64>
count
integer
<int64>
200startDateTime
string
<RFC-3339>
endDateTime
string
<RFC-3339>
Response
createdOn
string<date-time>
merchantFees
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncome
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
partnerAccountID
string
partnerCost
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
periodEnd
string<date-time>
periodStart
string<date-time>
residualAmount
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
residualID
string
revenueShare
string
updatedOn
string<date-time>